## 基础模型

| model            | setting | Params(M) | FLOPS(G) | ema   | train size | bs   | epoch | test size | top-1 |
| ---------------- | ------- | --------- | -------- | ----- | ---------- | ---- | ----- | --------- | ----- |
| [resnet18](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/res18.yaml) | Steplr  | 11.690    | 1.813    | False | 224        | 1024 | 100   | 224       | [70.32](http://spring.sensetime.com/dropadmin/$/6V3ZX.pth) |
| [resnet34](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/res34.yaml) | Steplr  | 21.798    | 3.663    | False | 224        | 1024 | 100   | 224       | [74.14](http://spring.sensetime.com/dropadmin/$/gzI7Y.pth) |
| [resnet50](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/res50.yaml) | Steplr  | 25.557    | 4.087    | False | 224        | 1024 | 100   | 224       | [76.76](http://spring.sensetime.com/dropadmin/$/xTc3C.pth) |
| [mobilenetv2_0.5](https://github.com/ModelTC/EOD/blob/main/configs/cls/mobilenetv2/mbv2_0.5_batch1k_epoch250_coslr_nesterov_wd0.00004_bn_nowd_fp16_ema.yaml) | coslr   | 1.969     | 0.096    | True  | 224        | 1024 | 350   | 224       | [65.36](http://spring.sensetime.com/dropadmin/$/IvZlV.pth) |
| [mobilenetv2_1.0](https://github.com/ModelTC/EOD/blob/main/configs/cls/mobilenetv2/mbv2_1.0_batch1k_epoch250_coslr_nesterov_wd0.00004_bn_nowd_fp16_ema.yaml) | coslr   | 3.505     | 0.299    | True  | 224        | 1024 | 350   | 224       | [73.35](http://spring.sensetime.com/dropadmin/$/tEVfp.pth) |
| [mobilenetv2_2.0](https://github.com/ModelTC/EOD/blob/main/configs/cls/mobilenetv2/mbv2_2.0_batch1k_epoch250_coslr_nesterov_wd0.00004_bn_nowd_fp16_ema.yaml) | coslr   | 11.258    | 1.134    | True  | 224        | 1024 | 350   | 224       | [77.56](http://spring.sensetime.com/dropadmin/$/Gwep5.pth) |
| [mobilenetv3_s1.0](https://github.com/ModelTC/EOD/blob/main/configs/cls/mobilenetv3/mbv3_small_1.0_batch1k_epoch350_coslr_nesterov_wd0.00003_bn_nowd_fp16_ema0.9999_dropout0.2.yaml) | coslr   | 2.938     | 0.054    | True  | 224        | 1024 | 350   | 224       | [67.97](http://spring.sensetime.com/dropadmin/$/usFKo.pth) |
| [mobilenetv3_l1.0](https://github.com/ModelTC/EOD/blob/main/configs/cls/mobilenetv3/mbv3_large_1.0_batch1k_epoch350_coslr_nesterov_wd0.00003_bn_nowd_fp16_ema0.9999_dropout0.2.yaml) | coslr   | 5.476     | 0.209    | True  | 224        | 1024 | 350   | 224       | [75.17](http://spring.sensetime.com/dropadmin/$/pW8Ha.pth) |
| [regnetx200](https://github.com/ModelTC/EOD/blob/main/configs/cls/regnet/reg_x200.yaml) | coslr   | 2.685     | 0.194    | False | 224        | 1024 | 100   | 224       | [68.23](http://spring.sensetime.com/dropadmin/$/frY4P.pth) |
| [regnetx400](https://github.com/ModelTC/EOD/blob/main/configs/cls/regnet/reg_x400.yaml) | coslr   | 5.158     | 0.388    | False | 224        | 1024 | 100   | 224       | [71.92](http://spring.sensetime.com/dropadmin/$/Tfi7x.pth) |
| [regnety200](https://github.com/ModelTC/EOD/blob/main/configs/cls/regnet/reg_y200.yaml) | coslr   | 3.163     | 0.194    | False | 224        | 1024 | 100   | 224       | [69.96](http://spring.sensetime.com/dropadmin/$/6pJ98.pth) |
| [regnety400](https://github.com/ModelTC/EOD/blob/main/configs/cls/regnet/reg_y400.yaml) | coslr   | 4.344     | 0.391    | False | 224        | 1024 | 100   | 224       | [73.41](http://spring.sensetime.com/dropadmin/$/UkYVg.pth) |
| [convnext_tiny](https://github.com/ModelTC/EOD/blob/main/configs/cls/convnext/convnext_t.yaml) | coslr   | 28.6      | 4.5      | True  | 224        | 4096 | 300   | 224       | [81.56](http://spring.sensetime.com/dropadmin/$/PJ2IK.pth) |
| [convnext_small](https://github.com/ModelTC/EOD/blob/main/configs/cls/convnext/convnext_s.yaml) | coslr   | 50        | 8.7      | True  | 224        | 4096 | 300   | 224       | [82.85](http://spring.sensetime.com/dropadmin/$/hZViP.pth) |
| [swin_tiny](https://github.com/ModelTC/EOD/blob/main/configs/cls/swin/swin_transformer_tiny.yaml) | cosEpochlr   | 29        | 4.5      | False  | 224        | 1024 | 300   | 224       | [81.17](http://spring.sensetime.com/dropadmin/$/JvUYr.pth) |
| [swin_small](https://github.com/ModelTC/EOD/blob/main/configs/cls/swin/swin_transformer_small.yaml) | cosEpochlr   | 50        | 8.7      | False  | 224        | 1024 | 300   | 224       | [83.18](http://spring.sensetime.com/dropadmin/$/bB3wr.pth) |
| [swin_base224](https://github.com/ModelTC/EOD/blob/main/configs/cls/swin/swin_transformer_base_224.yaml) | cosEpochlr   | 88        | 15.4      | False  | 224        | 1024 | 300   | 224       | [83.42](http://spring.sensetime.com/dropadmin/$/uWcSZ.pth) |
| [swin_base384](https://github.com/ModelTC/EOD/blob/main/configs/cls/swin/swin_transformer_base_384.yaml) | cosEpochlr   | 88        | 47.0      | False  | 384        | 1024 | 300   | 384       | [84.15](http://spring.sensetime.com/dropadmin/$/MxWpX.pth) |
| [swin_large224](https://github.com/ModelTC/EOD/blob/main/configs/cls/swin/swin_transformer_large_224.yaml) | cosEpochlr   | 197        | 34.5      | False  | 224        | 1024 | 300   | 224       | [86.25](http://spring.sensetime.com/dropadmin/$/wwuVS.pth) |
| [swin_large384](https://github.com/ModelTC/EOD/blob/main/configs/cls/swin/swin_transformer_large_384.yaml) | cosEpochlr   | 197        | 103.9      | False  | 384        | 1024 | 300   | 384       | [86.98](http://spring.sensetime.com/dropadmin/$/uTygC.pth) |

## 高精度baseLine

| model                                                        | setting | Params(M) | FLOPS(G) | ema   | train size | bs   | epoch | test size | top-1                                                      |
| ------------------------------------------------------------ | ------- | --------- | -------- | ----- | ---------- | ---- | ----- | --------- | ---------------------------------------------------------- |
| [resnet18+bag of tricks](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/res18_200e_bag_of_tricks.yaml) | coslr   | 11.690    | 1.813    | False | 224        | 2048 | 200   | 224       | [70.95](http://spring.sensetime.com/dropadmin/$/y1yYv.pth) |
| [resnet18+strikes](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/res18_strikes_300e_bce.yaml) | coslr   | 11.690    | 1.813    | True  | 224        | 2048 | 300   | 224       | [72.78](http://spring.sensetime.com/dropadmin/$/NvSuV.pth) |
| [resnet18+resnet152](https://github.com/ModelTC/EOD/blob/main/configs/distiller/cls/res18_kd.yaml) | step    | 11.690    | 1.813    | False | 224        | 2048 | 180   | 224       | [72.83](http://spring.sensetime.com/dropadmin/$/V91sb.pth) |
| [resnet18+resnet152+bag of tricks](https://github.com/ModelTC/EOD/blob/main/configs/distiller/cls/res18_kd_bag_of_tricks.yaml) | step    | 11.690    | 1.813    | False | 224        | 2048 | 180   | 224       | [73.03](http://spring.sensetime.com/dropadmin/$/1VTEm.pth) |
| [resnet50+bag of tricks](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/res50_200e_bag_of_tricks.yaml) | coslr   | 25.557    | 4.087    | False | 224        | 2048 | 200   | 224       | [78.21](http://spring.sensetime.com/dropadmin/$/Fl6M3.pth) |
| [resnet50+strikes](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/res50_strikes_300e_bce.yaml) | coslr   | 25.557    | 4.087    | False | 224        | 2048 | 300   | 224       | [79.16](http://spring.sensetime.com/dropadmin/$/Y9Ax7.pth) |
| [resnet50-D + bag of tricks](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/resnet50D_bag_of_tricks.yaml) | coslr   | 25        | 4.3      | False | 224        | 2048 | 200   | 224       | 78.9                                                       |

## 下游baseLine

| model                                | setting | Params(M) | FLOPS(G) | ema   | train size | bs   | epoch | test size | top-1 |
| ------------------------------------ | ------- | --------- | -------- | ----- | ---------- | ---- | ----- | --------- | ----- |
| [resnet50/flower](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/downstream/res50_flower.yaml) | step    | 25.557    | 4.087    | False | 224        | 64   | 150   | 224       | [96.86](http://spring.sensetime.com/dropadmin/$/RENr8.pth) |
| [resnet50/cars](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/downstream/res50_car.yaml) | step    | 25.557    | 4.087    | False | 224        | 64   | 150   | 224       | [92.06](http://spring.sensetime.com/dropadmin/$/ACDmC.pth) |
| [resnet50+strikes/flower](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/downstream/res50_flower_strikes.yaml) | coslr    | 25.557    | 4.087    | False | 224        | 64   | 300   | 224       | [97.26](http://spring.sensetime.com/dropadmin/$/kTvQh.pth) |
| [resnet50+strikes/cars](https://github.com/ModelTC/EOD/blob/main/configs/cls/resnet/downstream/res50_car_strikes.yaml) | coslr    | 25.557    | 4.087    | False | 224        | 64   | 300   | 224       | [93.52](http://spring.sensetime.com/dropadmin/$/N6hvm.pth) |
